# runs

~~~
runs: Lancer un script avec le protocole runs

USAGE
    runs [options] rscriptname name=value...
    runs [options] @recipe name=value...
    runs [options] -f rscript name=value...
    runs [options] -r recipe name=value...

OPTIONS
Configuration
    --init
    --verify
        Vérifier le nom d'hôte et créer si nécessaire le répertoire d'hôte
        correspondant à l'hôte courant ou à l'hôte spécifié avec l'option -h
        Avec --verify, la création du répertoire d'hôte n'est pas effectuée.
    --sysinfos DATA
        Avec l'option --init, initialiser le fichier sysinfos.conf avec DATA, si
        le fichier n'a pas déjà été provisionné. Sans cette option, un fichier
        vide avec des commentaires est créé à la place.
    --create RSCRIPT
        Créer un modèle de script avec le nom donné.
        Avec l'option -h, le script est créé dans le répertoire d'hôte
        correspondant à l'hôte spécifié

Gestion des scripts
    -s  Forcer l'exécution du script avec l'utilisateur root si ce n'est pas
        déjà le cas
    -f RSCRIPT
        Lancer le script individuel spécifié au lieu de chercher dans les
        répertoires de $RUNSSCRIPTSPATH
    -r RECIPE
        Lancer les scripts spécifiés dans le fichier de recettes individuel
        spécifié.
    -h HOSTNAME[.DOMAIN]
        Spécifier que les scripts sont destinés à être lancés sur l'hôte
        spécifié. Les scripts sont alors aussi cherchés dans les répertoires
        {$RUNSHOSTSPATH}/$hostname.$domain (par défaut) et
        {$RUNSHOSTSPATH}/$domain/$hostname (le cas échéant)
        L'option --host est équivalente, sauf que son argument est facultatif et
        que sa valeur par défaut est l'hôte courant, soit hydra
    --list
        Afficher la liste des scripts qui sont disponibles. Avec l'option -h,
        inclure aussi les scripts spécifiques à cet hôte.
        Avec cette option, les arguments supplémentaires agissent comme des
        filtres (regexp utilisée avec l'opérateur == de la commande [[). Les
        noms des scripts doivent valider au moins un filtre.
    --info
        Afficher la la description du script et la valeur de chaque variable
        définies
    --desc-only
        Afficher seulement la description du script
    -z  Forcer la réinstallation des scripts qui se basent sur shouldrun/setdone
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary